

Patch from: steve cameron <steve.cameron@hp.com>

Allow cciss driver attached disks other than the first to be accessed.



 drivers/block/cciss.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/block/cciss.c~cciss-3 drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-3	Wed Feb 12 12:11:24 2003
+++ 25-akpm/drivers/block/cciss.c	Wed Feb 12 12:11:24 2003
@@ -353,7 +353,7 @@ static int cciss_open(struct inode *inod
 	 * but I'm already using way to many device nodes to claim another one
 	 * for "raw controller".
 	 */
-	if (inode->i_bdev->bd_inode->i_size == 0) {
+	if (hba[ctlr]->drv[dsk].nr_blocks == 0) {
 		if (minor(inode->i_rdev) != 0)
 			return -ENXIO;
 		if (!capable(CAP_SYS_ADMIN))

_
